Ability to dismiss banners on mobile
Closed, ResolvedPublic

Description

Currently there is no way to dismiss the fundraising banner. Instead we should follow the same behavior as CentralNotice and allow users to dismiss it. This might be something that the CentralNotice extension(http://www.mediawiki.org/wiki/CentralNotice) can do for us with a little amount of tweaking.


Version: unspecified
Severity: minor

bzimport added a project: MobileFrontend-stable.Via ConduitNov 21 2014, 11:34 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz29402.
Tfinc created this task.Via LegacyJun 14 2011, 8:55 PM
Peachey88 added a comment.Via ConduitJun 15 2011, 5:43 AM

We could just not display it in the first place on the mobiles which is the current standard.

Tfinc added a comment.Via ConduitJun 15 2011, 7:50 AM

I'd hate to think that announcements about Wikimania, Board votes, etc wouldn't be available to mobile users. Just because their on small devices doesn't mean that we can't inform them of the important discussions happening. This would be especially useful if were able to surface a local meetup to a potential contributor.

The use case for this is wider then just the fundraiser. In general it would be good for CentralNotice to be mobile aware.

MZMcBride added a comment.Via ConduitJun 15 2011, 7:57 AM

The notices built with CentralNotice are intended for regular (full-size) web browsers. If banners are going to be implemented on mobile devices, the banners themselves will have to be reimplemented (more text focus, fewer images). I'm not sure if that means making CentralNotice "mobile aware" or not. The broader issue isn't strictly about dismissability, though.

Tfinc added a comment.Via ConduitJun 15 2011, 8:02 AM

(In reply to comment #3)

The notices built with CentralNotice are intended for regular (full-size) web
browsers. If banners are going to be implemented on mobile devices, the banners
themselves will have to be reimplemented (more text focus, fewer images). I'm
not sure if that means making CentralNotice "mobile aware" or not. The broader
issue isn't strictly about dismissability, though.

+1 We wouldn't want to throw the same notices as the PC site. That would be a disaster.

But dismiss ability is coming up as a discussion point from our community testing as mentioned here : http://tinyurl.com/3no9smh

Peachey88 added a comment.Via ConduitJun 15 2011, 8:27 AM

(In reply to comment #2)

I'd hate to think that announcements about Wikimania, Board votes, etc wouldn't
be available to mobile users.

We don't currently display any notices on the mobile platform (many would count that as a bonus)

I doubt many users would be mobile interface/platform only users so they shouldn't really be missing them anyway.

I don't think i've ever personally have seen a message sent that would be a benefit to those on the mobile platform anyway.

bzimport added a comment.Via ConduitJun 15 2011, 8:08 PM

bugs wrote:

(In reply to comment #4)

But dismiss ability is coming up as a discussion point from our community
testing as mentioned here : http://tinyurl.com/3no9smh

I think you misunderstood RobertL's comment. CentralNotices are not currently displayed on the mobile platform, and they probably shouldn't be. I'm pretty sure what Robert is talking about is:

"Text WIKI to 25383 to donate $10.
Msg & Data Rates May Apply"

which shows up on every mobile page load. He's right that that should probably be dismissable.

Tfinc added a comment.Via ConduitJun 15 2011, 9:37 PM

I know that CN isn't used for banner delivery. What i was talking about was allowing CN to be mobile aware so that we don't have to hack html files by hand to show any messages. But since the consensus here has been to remove it .. lets do that.

That'll free up some nice room on the mobile site :)

Patrick or anyone who gets to it first .. lets drop it.

bzimport added a comment.Via ConduitJun 17 2011, 6:18 PM

preilly wrote:

Okay, donate has been removed in the following revision:
http://www.mediawiki.org/wiki/Special:Code/MediaWiki/90303 /trunk/extensions/MobileFrontend/ (MobileFrontend.php views/layout/application.html.php): removing donate section from mobile view

Jarry1250 added a comment.Via ConduitAug 1 2011, 8:28 PM

Why is this resolved as *fixed*? Did dismissability get implemented in the end.

bzimport added a comment.Via ConduitAug 1 2011, 10:55 PM

bugs wrote:

The Fundraising banner was removed, see comment 8.

Add Comment